QR Codes
Fetch All QR Codes
Fetch the details of multiple QR Codes using this endpoint.
GET
Use this endpoint to retrieve the details of multiple QR Codes.
Query Parameters
integer
Unix timestamp, in seconds, from when QR Codes are to be retrieved.
integer
Unix timestamp, in seconds, till when QR Codes are to be retrieved.
integer
Number of QR Codes to be retrieved.
- Default value: 10
- Maximum value: 100
- This can be used for pagination, in combination with
skip.
integer
Number of records to be skipped while fetching the QR Codes. This can be used for pagination, in combination with
count.Response Parameters
string
The unique identifier of the QR Code. For example,
qr_HMsVL8HOpbMcjU.string
Indicates the type of entity. Here, it is
qr_code.integer
Unix timestamp at which the QR Code is created.
string
Label entered to identify the QR Code. For example,
Store Front Display.string
Indicates if the QR Code should be allowed to accept single payment or multiple payments. Possible values:
single_use: QR Code will accept only one payment and then close automatically.multiple_use(default): QR Code will accept multiple payments.
string
The type of the QR Code. Possible value is
upi_qr, which creates a QR Code that accepts only UPI payments. Feature RequestThis is an on-demand feature. Please raise a request with our Support team to get this feature activated on your account.
string
The URL of the QR Code. For example,
http://rzp.io/l6MS. Click the link to download the code.integer
The amount allowed for a transaction. If this is specified, then any transaction of an amount less than or more than this value is not allowed. For example, if this amount is set as
500000, the customer cannot pay an amount less than or more than ₹5000.string
Indicates the status of the QR Code. Possible values:
active: Indicates that the QR Code has been created and is ready to accept payments.closed: Indicates that the QR Code has been closed.
string
A brief description about the QR Code.
boolean
Indicates if the QR Code should accept payments of specific amounts or any amount. Possible values:
true: QR Code accepts only a specific amount.false(default): QR code accepts any amount.
integer
The total amount received on the QR Code. Only captured payments are considered.
integer
The total number of payments received on the QR Code. All captured payments are considered.
json object
Key-value pair that can be used to store additional information about the QR Code. Maximum 15 key-value pairs, 256 characters (maximum) each. For example,
"note_key": "Beam me up Scotty”.string
The unique identifier of the customer the QR Code is linked with. Know more about the Customers API.
integer
Unix timestamp at which the QR Code is scheduled to be automatically closed. The time must be at least 15 minutes after the current time. The date range can be set to
2147483647 in Unix timestamp format (equivalent to Tuesday, January 19, 2038 8:44:07 AM GMT+05:30).Handy Tips
- Any request beyond 2147483647 Unix timestamp will fail.
integer
Unix timestamp at which the QR Code is automatically closed.
string
The reason for the closure of the QR Code. Possible values:
on_demand: When you close the QR Code using the APIs or the Dashboard.paid: If the QR Code is created with theusage=single_paymentparameter, the QR Code closes automatically once the customer makes the payment, with the reason marked aspaid.null: The QR Code has not been closed yet.
array
Tax invoice details for GST-compliant QR codes. An array containing GST identification and supply information.
Errors
The API {key/secret} provided is invalid.
The API {key/secret} provided is invalid.
Code:
4xxThe API credentials passed in the API call differ from the ones generated on the Dashboard.Solution: The API keys must be active and entered correctly with no whitespace before or after.The id provided does not exist.
The id provided does not exist.
Code:
400Possible reasons:- The URL is wrong or is missing something.
- A GET API is executed by POST Method.
- Ensure you have the correct and complete URL.
- Use the right method, that is, GET.
We are facing some trouble completing your request at the moment. Please try again shortly.
We are facing some trouble completing your request at the moment. Please try again shortly.
Code:
400A GET API is executed by POST Method.Solution: Use the correct method, that is, GET.The requested URL was not found on the server.
The requested URL was not found on the server.
Code:
400The URL is wrong or missing something.Solution: Use the correct and complete URL.